Method: projects.locations.spaces.applications.fetchAssessmentReport

Fetches the assessment report of a deployed application if present.

HTTP request

GET https://designcenter.googleapis.com/v1alpha/{name=projects/*/locations/*/spaces/*/applications/*}:fetchAssessmentReport

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The application name in the following format: projects/$project/locations/$location/spaces/$space/applications/$application

Request body

The request body must be empty.

Response body

Message for response of fetching an application assessment report.

If successful, the response body contains data with the following structure:

JSON representation
{
  "assessmentReport": {
    object (AssessmentReport)
  }
}
Fields
assessmentReport

object (AssessmentReport)

Assessment report for the application.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applications.get

For more information, see the IAM documentation.